> This page is for version v2026-10-01.
> For other versions, use one of these documentation indexes:
> - v2026-04-01 (default): https://docs.givechariot.com/v2026-04-01/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# Create a Deposit Address

POST https://api.givechariot.com/v1/deposit_addresses
Content-Type: application/json

Provisions a new deposit address on your account. Chariot mints the
underlying account and routing numbers and returns them on the
response.

An address is unique per `(source_id, type)`. Provisioning a second
address for the same source and rail returns `409 Conflict`.

Reference: https://docs.givechariot.com/v2026-10-01/api/deposit-addresses/create-deposit-address

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Headers

- `Idempotency-Key` (string, optional) — The idempotency key for the request.

### Body (application/json)

This endpoint expects an object.

- `type` (enum, required) — The rail this address should receive money over.
  - Allowed values: `ach`
- `source_id` (string, required) — The identifier of the [Source](/api-reference/sources) this address belongs to.

## Response

### 201

The deposit address was created.

- `id` (string, required) — The unique identifier for the deposit address.
- `type` (enum, required) — The rail this address receives money over. Determines which per-rail subobject is populated on the response.
  - Allowed values: `ach`
- `source_id` (string, required) — The identifier of the [Source](/api-reference/sources) this address belongs to.
- `created_at` (datetime, required) — When this deposit address was provisioned.
- `updated_at` (datetime, required) — When this deposit address was last modified.
- `ach` (DepositAddressAch, optional) — ACH account details. Populated when `type` is `ach`.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 409 Conflict Error

Resource Conflicts

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### DepositAddressAch

ACH account details for a deposit address.

- `account_number` (string, required) — The account number Chariot minted for this address.
- `routing_number` (string, required) — The ABA routing number.

## Examples

**Request**

```json
{
  "type": "ach",
  "source_id": "source_01m12tn300eh20gdqscje7s5jw"
}
```

**Response**

```json
{
  "id": "deposit_address_01m12tn300eh20gdqscje7s5jw",
  "type": "ach",
  "source_id": "source_01m12tn300eh20gdqscje7s5jw",
  "created_at": "2026-09-28T12:34:56Z",
  "updated_at": "2026-09-28T12:34:56Z",
  "ach": {
    "account_number": "987654321",
    "routing_number": "101050001"
  }
}
```